| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes
qx::QxHttpCookie Struct Reference
QxHttpServer : QxOrm library HTTP server (based on QxService module) : support SSL/TLS, persistent connection, deliver static files, REST API, etc...

qx::QxHttpCookie : HTTP cookie (https://www.qxorm.com/qxorm_en/manual.html#manual_999) More...

`#include <QxHttpCookie.h>`

List of all members.

## Public Member Functions
| QxHttpCookie ()
| QxHttpCookie (const QByteArray &name_, const QByteArray &value_, const QByteArray &domain_=QByteArray(), const QByteArray &path_=QByteArray("/"), qlonglong maxAge_=0, bool secure_=false, bool httpOnly_=false)
| ~QxHttpCookie ()
QByteArray | toString () const
## Static Public Member Functions
static QHash< QByteArray, QxHttpCookie > | parse (const QByteArray &cookies)
## Public Attributes
QByteArray | name
| Cookie name.
QByteArray | value
| Cookie value.
QByteArray | domain
| Cookie domain : specifies those hosts to which the cookie will be sent, if not specified defaults to the host portion of the current document location (but not including subdomains)
QByteArray | path
| Cookie path : indicates a URL path that must exist in the requested resource before sending the Cookie header.
qlonglong | maxAge
| Cookie max-age : number of seconds until the cookie expires (a zero or negative number will expire the cookie immediately)
bool | secure
| Cookie secure : a secure cookie will only be sent to the server when a request is made using SSL and the HTTPS protocol.
bool | httpOnly
| Cookie http-only : HTTP-only cookies aren't accessible via JavaScript through the Document.cookie property, the XMLHttpRequest and Request APIs to mitigate attacks against cross-site scripting.

## Detailed Description

qx::QxHttpCookie : HTTP cookie (https://www.qxorm.com/qxorm_en/manual.html#manual_999)

Definition at line 53 of file QxHttpCookie.h.

## Constructor & Destructor Documentation

qx::QxHttpCookie::QxHttpCookie | ( |  | ) |

qx::QxHttpCookie::QxHttpCookie | ( | const QByteArray & | name_,
|  | const QByteArray & | value_,
|  | const QByteArray & | domain_ = `QByteArray()`,
|  | const QByteArray & | path_ = `QByteArray("/")`,
|  | qlonglong | maxAge_ = `0`,
|  | bool | secure_ = `false`,
|  | bool | httpOnly_ = `false`
| ) |  |

qx::QxHttpCookie::~QxHttpCookie | ( |  | ) |

## Member Function Documentation

static QHash<QByteArray, QxHttpCookie> qx::QxHttpCookie::parse | ( | const QByteArray & | cookies | ) | `[static]`

QByteArray qx::QxHttpCookie::toString | ( |  | ) | const

## Member Data Documentation

QByteArray qx::QxHttpCookie::domain

Cookie domain : specifies those hosts to which the cookie will be sent, if not specified defaults to the host portion of the current document location (but not including subdomains)

Definition at line 58 of file QxHttpCookie.h.

bool qx::QxHttpCookie::httpOnly

Cookie http-only : HTTP-only cookies aren't accessible via JavaScript through the Document.cookie property, the XMLHttpRequest and Request APIs to mitigate attacks against cross-site scripting.

Definition at line 62 of file QxHttpCookie.h.

qlonglong qx::QxHttpCookie::maxAge

Cookie max-age : number of seconds until the cookie expires (a zero or negative number will expire the cookie immediately)

Definition at line 60 of file QxHttpCookie.h.

QByteArray qx::QxHttpCookie::name

Cookie name.

Definition at line 56 of file QxHttpCookie.h.

QByteArray qx::QxHttpCookie::path

Cookie path : indicates a URL path that must exist in the requested resource before sending the Cookie header.

Definition at line 59 of file QxHttpCookie.h.

bool qx::QxHttpCookie::secure

Cookie secure : a secure cookie will only be sent to the server when a request is made using SSL and the HTTPS protocol.

Definition at line 61 of file QxHttpCookie.h.

QByteArray qx::QxHttpCookie::value

Cookie value.

Definition at line 57 of file QxHttpCookie.h.

The documentation for this struct was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxHttpServer/QxHttpCookie.h